Skip to content

Re-index given records

Request

This API allows users to re-index the given records by providing record ids without re-ingesting the records via storage API. Required roles: users.datalake.admins

Security
bearer
Headers
data-partition-idstringrequired

desired data partition id

Bodyapplication/jsonrequired

List of records

recordIdsArray of strings
curl -i -X POST \
  https://as5.api.enterprisedata.slb.com/api/indexer/v2/reindex/records \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: string' \
  -d '{
    "recordIds": [
      "string"
    ]
  }'

Responses

Accepted

Bodyapplication/json
reIndexedRecordsArray of strings
notFoundRecordsArray of strings
Response
{ "reIndexedRecords": [ "string" ], "notFoundRecords": [ "string" ] }